get transform.md

Get Transform

Media API · Transforms

GET https://app.mk.io/api/v1/projects/{project_name}/media/transforms/{transform_name}

Get a transform by name.

RBAC Capability Required: ams.transform.get

Authentication

Path parameters

Name Type Required Description
project_name string Yes
transform_name string Yes

Example request

curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/transforms/{transform_name}" \
  -H "Authorization: Bearer <token>"

Responses

200 — A single Transform.

Example:

{
  "id": "string",
  "name": "name",
  "properties": {
    "created": "2024-01-01T00:00:00Z",
    "description": "string",
    "lastModified": "2024-01-01T00:00:00Z",
    "outputs": [
      {
        "onError": "ContinueJob",
        "preset": {
          "@odata.type": "#Microsoft.Media.BuiltInStandardEncoderPreset",
          "advancedSettingsName": "string",
          "presetName": "string"
        },
        "relativePriority": "Normal"
      }
    ]
  },
  "systemData": {
    "createdAt": "2024-01-01T00:00:00Z",
    "createdBy": "string",
    "createdByType": "User",
    "internalId": "00000000-0000-0000-0000-000000000000",
    "lastModifiedAt": "2024-01-01T00:00:00Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  },
  "type": "string"
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: media-api · operationId: [get]_/api/v1/projects/{project_name}/media/transforms/{transform_name}